Bug 8659 - Inactive funds in neworderempty not disabled in IE/Opera
Summary: Inactive funds in neworderempty not disabled in IE/Opera
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Acquisitions (show other bugs)
Version: 3.8
Hardware: All All
: P5 - low normal (vote)
Assignee: Maxime Pelletier
QA Contact: Jonathan Druart
URL:
Keywords:
: 8669 (view as bug list)
Depends on:
Blocks:
 
Reported: 2012-08-20 20:08 UTC by Maxime Pelletier
Modified: 2013-05-23 06:23 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
proposed patch (2.32 KB, patch)
2012-08-20 20:27 UTC, Maxime Pelletier
Details | Diff | Splinter Review
new better patch (2.21 KB, patch)
2012-08-21 22:29 UTC, Maxime Pelletier
Details | Diff | Splinter Review
fixed patch (2.20 KB, patch)
2012-08-22 15:29 UTC, Maxime Pelletier
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 8659 Remove and readd the inactive funds in javascript to make it work in all browsers (2.21 KB, patch)
2012-08-22 18:22 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Maxime Pelletier 2012-08-20 20:08:33 UTC
It seems that you can't use display:none for <options> in IE.
Patch to follow.
Comment 1 Maxime Pelletier 2012-08-20 20:27:59 UTC Comment hidden (obsolete)
Comment 2 Maxime Pelletier 2012-08-20 20:28:46 UTC
Just a note that this was based on 3.8.2. Let me know if it doesn't appy in master.
Comment 3 Owen Leonard 2012-08-21 15:48:55 UTC
The patch appears to have applied fine, but the "show all" checkbox isn't doing anything in Firefox or Internet Explorer 9. After checking it I see the same options as before.
Comment 4 Maxime Pelletier 2012-08-21 15:58:01 UTC
Are you sure you have an inactive budget with funds ? Do you have any javascript errors or anything ? I tested successfully in ie8, firefox, chrome, chromium and opera.

The way we use funds is we create a copy every year for new budgets. The problem is that we now have 50 funds that are in triple because we have the 10-11, 11-12 and 12-13 version of the fund with the same name. That why this problem is really critical for us.
Comment 5 Owen Leonard 2012-08-21 17:29:13 UTC
I just tested again with the same results. I know I have an inactive budget with funds because before applying the patch I can see the effect of the "show all" checkbox: some funds are hidden and shown when changing the checkbox.

I don't see any JS errors in Firebug. Results are the same in Firefox 14, Chrome 21, Opera 12, and IE 9, all on Windows 7: Only active funds are shown, and checking the box to show all has no effect.
Comment 6 Maxime Pelletier 2012-08-21 22:29:31 UTC Comment hidden (obsolete)
Comment 7 Owen Leonard 2012-08-22 14:52:36 UTC
This patch works for me if I change line 138:

if ($(this).attr('checked') === true) {

to:

if ($(this).attr('checked')) {

...which makes sense because, at least according to Firebug, the checked attribute = "checked" when the checkbox is checked. Works in FF, Chrome, Opera, and IE9 on Windows.
Comment 8 Owen Leonard 2012-08-22 14:54:39 UTC
By the way, this could very well be a difference between jQuery 1.3.2 (in 3.8.x) and jQuery 1.7.2 in master. I don't remember off the top of my head. If the above revision works in 3.8.x then we should be fine.
Comment 9 Maxime Pelletier 2012-08-22 15:29:19 UTC Comment hidden (obsolete)
Comment 10 Owen Leonard 2012-08-22 18:22:26 UTC
Created attachment 11753 [details] [review]
[SIGNED-OFF] Bug 8659 Remove and readd the inactive funds in javascript to make it work in all browsers

Signed-off-by: Owen Leonard <oleonard@myacpl.org>
Comment 11 Chris Cormack 2012-08-23 22:46:42 UTC
*** Bug 8669 has been marked as a duplicate of this bug. ***
Comment 12 Jonathan Druart 2012-09-19 14:20:07 UTC
QA Comments:
No regression found with FF, so I marked it as Passed QA.
Comment 13 Paul Poulain 2012-09-26 17:13:15 UTC
Patch pushed to master
Comment 14 Chris Cormack 2012-09-28 21:20:49 UTC
Pushed to 3.8.x, will be in 3.8.6